Package com.ocient.jdbc.proto

# Interface ClientWireProtocol.LocalQueriesOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `ClientWireProtocol.LocalQueries`, `ClientWireProtocol.LocalQueries.Builder`

Enclosing class:
  ClientWireProtocol

    public static interface ClientWireProtocol.LocalQueriesOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `getCompleted()` | true if we should return rows for completed queries
`String` | `getDatabase()` | `string database = 3;`
`com.google.protobuf.ByteString` | `getDatabaseBytes()` | `string database = 3;`
`int` | `getIdentity()` | Same data as md::objectId object Ideally would like to import objectId proto object, but proto lives in libxgsysnconfig
`com.google.protobuf.ByteString` | `getIssuerCertificate()` | `bytes issuer_certificate = 6;`
`com.google.protobuf.ByteString` | `getIssuerFingerprint()` | `bytes issuer_fingerprint = 7;`
`ClientWireProtocol.LocalQueries.OneIdentityOptionCase` | `getOneIdentityOptionCase()` |
`com.google.protobuf.ByteString` | `getSignature()` | `bytes signature = 5;`
`com.google.protobuf.ByteString` | `getToken()` | `bytes token = 4;`
`com.google.protobuf.ByteString` | `getUsername()` | `bytes username = 8;`
`com.google.protobuf.ByteString` | `getUuidIdentity()` | `bytes uuid_identity = 2;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getIdentity

int getIdentity()

    Same data as md::objectId object
    Ideally would like to import objectId proto object, but proto lives in libxgsysnconfig

`int32 identity = 1;`

Returns:
  The identity.

### getUuidIdentity

com.google.protobuf.ByteString getUuidIdentity()
`bytes uuid_identity = 2;`

Returns:
  The uuidIdentity.

### getDatabase

String getDatabase()
`string database = 3;`

Returns:
  The database.

### getDatabaseBytes

com.google.protobuf.ByteString getDatabaseBytes()
`string database = 3;`

Returns:
  The bytes for database.

### getToken

com.google.protobuf.ByteString getToken()
`bytes token = 4;`

Returns:
  The token.

### getSignature

com.google.protobuf.ByteString getSignature()
`bytes signature = 5;`

Returns:
  The signature.

### getIssuerCertificate

com.google.protobuf.ByteString getIssuerCertificate()
`bytes issuer_certificate = 6;`

Returns:
  The issuerCertificate.

### getIssuerFingerprint

com.google.protobuf.ByteString getIssuerFingerprint()
`bytes issuer_fingerprint = 7;`

Returns:
  The issuerFingerprint.

### getUsername

com.google.protobuf.ByteString getUsername()
`bytes username = 8;`

Returns:
  The username.

### getCompleted

boolean getCompleted()

     true if we should return rows for completed queries

`bool completed = 9;`

Returns:
  The completed.

### getOneIdentityOptionCase

ClientWireProtocol.LocalQueries.OneIdentityOptionCase getOneIdentityOptionCase()